#!/usr/bin/env node

/**
 * Compiel files.
 */

"use strict";

process.chdir(__dirname + '/..');

var apeTasking = require('ape-tasking'),
    apeCompiling = require('ape-compiling'),
    path = require('path'),
    expandglob = require('expandglob'),
    async = require('async');

apeTasking.runTasks('build', [
    function renderBud(callback) {
        var srcDir = __dirname + '/../src',
            destDir = __dirname + '/../dist';
        async.waterfall([
            function (callback) {
                expandglob('*.scss', {cwd: srcDir}, callback);
            },
            function (filenames, callback) {
                async.eachSeries(filenames, function (filename, callback) {
                    var name = path.basename(filename, '.scss');
                    var src = path.join(srcDir, name + '.scss'),
                        dest = path.join(destDir, name + '.css');
                    apeCompiling.compileScss(src, dest, {
                        sourcemap: 'inline'
                    }, callback);
                }, callback);
            }
        ], callback);
    }
], true);
